<section class="content-header">
  <a class="back-navigation" [routerLink]="['/settings/users']">
    <svg class="icon_user_management" shape-rendering="geometricPrecision" width="10" height="10">
      <use xlink:href="./assets/dist/img/icons.svg#icon_back"></use>
    </svg> All Users</a>
  <h1 style="margin-top:10px">
    Add Users
  </h1>
</section>
<section class="content">
  <div class="row">
    <!-- right column -->
    <div class="col-md-3"></div>
    <div class="col-md-6">
      <!-- Horizontal Form -->
      <form #Loginform="ngForm" class="form-horizontal" novalidate (ngSubmit)="AddUser(Loginform.value)">
        <div class="box">
          <!-- form start -->
          <div class="box-body">
            <div class="form-group col-md-6" [ngClass]="{'has-error': firstName.errors?.required && firstName.touched}">
              <label>First Name<span style="color:red">*</span></label>
              <input type="text" class="form-control" [(ngModel)]="userModel.firstName" name="firstName" #firstName="ngModel"
                required placeholder="FirstName" />
              <span class="help-block small" *ngIf="firstName.errors?.required && firstName.touched">
                Required </span>
            </div>
            <div class="form-group col-md-6" [ngClass]="{'has-error': lastName.errors?.required && lastName.touched}">
              <label>Last Name<span style="color:red">*</span></label>
              <input type="text" class="form-control" [(ngModel)]="userModel.lastName" name="lastName" #lastName="ngModel"
                required placeholder="LastName" />
              <span class="help-block small" *ngIf="lastName.errors?.required && lastName.touched">
                Required </span>
            </div>
            <div class="form-group col-md-12" [ngClass]="{'has-error': userId.errors?.required && userId.touched}">
              <label>User Name<span style="color:red">*</span></label>
              <input type="text" class="form-control" [(ngModel)]="userModel.userId" name="userId" #userId="ngModel"
                required placeholder="User Name" />
              <span class="help-block small" *ngIf="userId.errors?.required && userId.touched">
                Required </span>
            </div>
            <div class="form-group col-md-12" [ngClass]="{'has-error': (emailId.errors?.required && emailId.touched) || (emailId.errors?.pattern && emailId.touched)}">
              <label>Email<span style="color:red">*</span></label>
              <input type="text" class="form-control" [(ngModel)]="userModel.emailId" name="emailId" #emailId="ngModel"
                required placeholder="Email Id" />
              <span class="help-block small" *ngIf="emailId.errors?.required && emailId.touched">
                Required </span>
              <span class="help-block small" *ngIf="emailId.errors?.pattern && emailId.touched">
                Email not valid. </span>
            </div>
            <div class="form-group col-md-12" [ngClass]="{'has-error': isInternal.errors?.required && isInternal.touched}">
              <label>Uesr Type<span style="color:red">*</span></label>
              <input type="text" class="form-control" [(ngModel)]="userModel.isInternal" name="isInternal" #isInternal="ngModel"
                required placeholder="Is Internal" />
              <span class="help-block small" *ngIf="isInternal.errors?.required && isInternal.touched">
                Required </span>
            </div>
            <div class="form-group col-md-12" [ngClass]="{'has-error': crmCompanyId.errors?.required && crmCompanyId.touched}">
              <label>CRM Company Id<span style="color:red">*</span></label>
              <input type="number" class="form-control" [(ngModel)]="userModel.crmCompanyId" name="crmCompanyId"
                #crmCompanyId="ngModel" required placeholder="CRM Company Id" />
              <span class="help-block small" *ngIf="crmCompanyId.errors?.required && crmCompanyId.touched">
                Required </span>
            </div>
          </div>
          <!-- /.box-body -->
          <div class="box-footer">
            <div class="col-md-2">
              <button type="submit" class="btn btn-net-primary" [disabled]="!Loginform.valid">
                {{submitBtnText}}
              </button>
            </div>
            <div class="col-md-2">
              <button class="btn btn-default" (click)="Cancel()">
                Cancel
              </button>
            </div>
          </div>
          <!-- /.box-footer -->
        </div>
      </form>
      <!-- /.box -->
    </div>
  </div>
  <!-- /.row -->
</section>